#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load CSM file
myProblem = pyCAPS.Problem(problemName = "workDir_egadsCFD",
                           capsFile = os.path.join("..","ESP","transport.csm"), 
                           outLevel = 0)

# Alias the geometry
transport = myProblem.geometry

#------------------------------------------------------------------------------#

# Change to Inviscid CFD view
transport.cfgpmtr.VIEW.Concept     = 0
transport.cfgpmtr.VIEW.CFDInviscid = 1
transport.cfgpmtr.VIEW.CFDViscous  = 0

# Enable just wing
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 0
transport.cfgpmtr.COMP.Htail   = 0
transport.cfgpmtr.COMP.Vtail   = 0
transport.cfgpmtr.COMP.Pod     = 0
transport.cfgpmtr.COMP.Control = 0

# Save egads file of the geometry
print("==> Generating CFDInviscid_Wing")
transport.save("CFDInviscid_Wing.egads")

# Enable wing+pod
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 0
transport.cfgpmtr.COMP.Htail   = 0
transport.cfgpmtr.COMP.Vtail   = 0
transport.cfgpmtr.COMP.Pod     = 1
transport.cfgpmtr.COMP.Control = 0

# Save egads file of the geometry
print("==> Generating CFDInviscid_WingPod")
transport.save("CFDInviscid_WingPod.egads")

# Enable transport
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 1
transport.cfgpmtr.COMP.Htail   = 1
transport.cfgpmtr.COMP.Vtail   = 1
transport.cfgpmtr.COMP.Pod     = 1
transport.cfgpmtr.COMP.Control = 1

# Save egads file of the geometry
print("==> Generating CFDInviscid_Transport")
transport.save("CFDInviscid_Transport.egads")

#------------------------------------------------------------------------------#

# Change to Viscous CFD view
transport.cfgpmtr.VIEW.Concept     = 0
transport.cfgpmtr.VIEW.CFDInviscid = 0
transport.cfgpmtr.VIEW.CFDViscous  = 1

# Enable just wing
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 0
transport.cfgpmtr.COMP.Htail   = 0
transport.cfgpmtr.COMP.Vtail   = 0
transport.cfgpmtr.COMP.Pylon   = 0
transport.cfgpmtr.COMP.Pod     = 0
transport.cfgpmtr.COMP.Control = 0

# Save egads file of the geometry
print("==> Generating CFDViscous_Wing")
transport.save("CFDViscous_Wing.egads")

# Enable wing+pod
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 0
transport.cfgpmtr.COMP.Htail   = 0
transport.cfgpmtr.COMP.Vtail   = 0
transport.cfgpmtr.COMP.Pylon   = 1
transport.cfgpmtr.COMP.Pod     = 1
transport.cfgpmtr.COMP.Control = 0

# Save egads file of the geometry
print("==> Generating CFDViscous_WingPod")
transport.save("CFDViscous_WingPod.egads")

# Enable transport
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 1
transport.cfgpmtr.COMP.Htail   = 1
transport.cfgpmtr.COMP.Vtail   = 1
transport.cfgpmtr.COMP.Pylon   = 1
transport.cfgpmtr.COMP.Pod     = 1
transport.cfgpmtr.COMP.Control = 1

# Save egads file of the geometry
print("==> Generating CFDViscous_Transport")
transport.save("CFDViscous_Transport.egads")
