#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

#------------------------------------------------------------------------------#
# Load geometry [.csm] file
filename = "f118-B.csm"
print ("\n==> Loading geometry from file \""+filename+"\"...")
myProblem = pyCAPS.Problem(problemName = "workDir_8_AIM",
                           capsFile = filename,
                           outLevel = 0)
#------------------------------------------------------------------------------#

#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM
masstranAll = myProblem.analysis.create(aim = "masstranAIM", capsIntent="", 
                                        name = "All")

# The AIM instance is also available in the Problem.analysis Sequence
assert(masstranAll == myProblem.analysis["All"])

# Show the geometry used by the AIM
print("==> Geometry used by masstranAll instance with no capsIntent")
masstranAll.geometry.view()
#------------------------------------------------------------------------------#


#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and capsIntent == $wing
myProblem.analysis.create(aim = "masstranAIM", capsIntent="wing", 
                          name = "Wing")

# Show the geometry used by the AIM
print("==> Geometry used by Wing instance with capsIntent='wing'")
myProblem.analysis["Wing"].geometry.view()
#------------------------------------------------------------------------------#


#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and capsIntent == $tail
masstranTail = myProblem.analysis.create(aim = "masstranAIM", capsIntent="tail", 
                                         name = "Tail")

# Show the geometry used by the AIM
print("==> Geometry used by Tail instance with capsIntent='tail'")
masstranTail.geometry.view()
#------------------------------------------------------------------------------#


#------------------------------------------------------------------------------#
# capsAIM == $masstranAIM and (capsIntent == $wing or capsIntent == $fuse)
myProblem.analysis.create(aim = "masstranAIM", capsIntent=["wing","fuse"], 
                          name = "WingFuse")

# Show the geometry used by the AIM
print("==> Geometry used by WingFuse instance with capsIntent=['wing','fuse']")
myProblem.analysis["WingFuse"].geometry.view()
#------------------------------------------------------------------------------#
