#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = os.path.join("..","ESP","transport.csm")
print ("\n==> Loading geometry from file \""+filename+"\"...")
myProblem = pyCAPS.Problem(problemName = "workDir_5_Geom",
                           capsFile = filename,
                           outLevel = 1)

# Alias the geometry
transport = myProblem.geometry

# Change to VLM view and OmlStructure
transport.cfgpmtr.VIEW.Concept      = 0
transport.cfgpmtr.VIEW.VLM          = 1
transport.cfgpmtr.VIEW.OmlStructure = 1

# Enable fuselage and lifting surfaces
transport.cfgpmtr.COMP.Wing    = 1
transport.cfgpmtr.COMP.Fuse    = 1
transport.cfgpmtr.COMP.Htail   = 1
transport.cfgpmtr.COMP.Vtail   = 1
transport.cfgpmtr.COMP.Control = 0

# Create AVL AIM
avl = myProblem.analysis.create(aim = "avlAIM",
                                name = "avl")

print ("\n==> Vewing AVL geometry")
avl.geometry.view()

masstran = myProblem.analysis.create(aim = "masstranAIM",
                                     name = "masstran")

print ("\n==> Vewing Masstran geometry")
masstran.geometry.view()
