#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load geometry [.csm] file
filename = os.path.join("..","ESP","transport.csm")
print ("\n==> Loading geometry from file \""+filename+"\"...")
myProblem = pyCAPS.Problem(problemName = "workDir_TransportHtail",
                           capsFile = filename,
                           outLevel = 1)

# loop over some horizonal tail volume coefficients
# and retrieve the tail area by solving the equation
# htail:vc = htail:area * htail:L / wing:area * wing:mac
for htail_vc in [0.1, 0.45, 0.7]:
    # set the htail:vc
    myProblem.geometry.despmtr.htail.vc= htail_vc

    # retrieve the horizontal tail area
    htail_area = myProblem.geometry.outpmtr.htail.area
    print ()
    print ("--> htail:vc = ", htail_vc, " gives htail:area = ", htail_area)
    print ()

    # view the geometry
    myProblem.geometry.view()
