#------------------------------------------------------------------------------#

# Import pyCAPS module
import pyCAPS

# Import os
import os

#------------------------------------------------------------------------------#

# Load CSM file
filename = os.path.join("..","..","data","EGADS","CFDInviscid_Transport.egads")
myProblem = pyCAPS.Problem(problemName = "workDir_InviscidTransport",
                           capsFile = filename,
                           outLevel = 1)

# Create AFLR4 AIM
aflr4 = myProblem.analysis.create(aim = "aflr4AIM",
                                  name = "aflr4")

# Scale components
aflr4.input.Mesh_Sizing = {"Farfield": {"bcType":"Farfield"},
                           "Fuselage": {"scaleFactor":4},
                           "leftWing": {"scaleFactor":4},
                           "riteWing": {"scaleFactor":4},
                           "Htail"   : {"scaleFactor":4},
                           "Vtail"   : {"scaleFactor":4},
                           "Pod"     : {"scaleFactor":1}}

# Farfield growth factor
aflr4.input.ff_cdfr = 1.4

# Run AIM pre-/post-analysis
aflr4.preAnalysis()
aflr4.postAnalysis()

# View the surface tessellation
aflr4.geometry.view()
